/* ./sym/DrawViewWraps.c generated from DrawViewWraps.psw
   by unix pswrap V1.009  Wed Apr 19 17:50:24 PDT 1989
 */

#include <dpsclient/dpsfriends.h>
#include <string.h>

#line 1 "DrawViewWraps.psw"

/*
 * (a)  (C) 1990 by Adobe Systems Incorporated. All rights reserved.
 *
 * (b)  If this Sample Code is distributed as part of the Display PostScript
 *	System Software Development Kit from Adobe Systems Incorporated,
 *	then this copy is designated as Development Software and its use is
 *	subject to the terms of the License Agreement attached to such Kit.
 *
 * (c)  If this Sample Code is distributed independently, then the following
 *	terms apply:
 *
 * (d)  This file may be freely copied and redistributed as long as:
 *	1) Parts (a), (d), (e) and (f) continue to be included in the file,
 *	2) If the file has been modified in any way, a notice of such
 *      modification is conspicuously indicated.
 *
 * (e)  PostScript, Display PostScript, and Adobe are registered trademarks of
 *	Adobe Systems Incorporated.
 * 
 * (f) THE INFORMATION BELOW IS FURNISHED AS IS, IS SUBJECT TO
 *	CHANGE WITHOUT NOTICE, AND SHOULD NOT BE CONSTRUED
 *	AS A COMMITMENT BY ADOBE SYSTEMS INCORPORATED.
 *	ADOBE SYSTEMS INCORPORATED ASSUMES NO RESPONSIBILITY
 *	OR LIABILITY FOR ANY ERRORS OR INACCURACIES, MAKES NO
 *	WARRANTY OF ANY KIND (EXPRESS, IMPLIED OR STATUTORY)
 *	WITH RESPECT TO THIS INFORMATION, AND EXPRESSLY
 *	DISCLAIMS ANY AND ALL WARRANTIES OF MERCHANTABILITY, 
 *	FITNESS FOR PARTICULAR PURPOSES AND NONINFRINGEMENT
 *	OF THIRD PARTY RIGHTS.
 */

/*
*	DrawViewWraps.psw
*
*	Here lie the wraps used in DrawView.m for the LineDrawing application.
*	Several ways to draw lines are shown here.  One that is not is to use the
*	single operator functions from the method directly.
*
*	PostScript operators obtain their operands from the stack.
*	As a result the order of placing the operands on the stack is very important.
*	In the examples below,  comments are used in the bound procedures
*	to indicate the operands on stack when the procedure is called.
*	One common problem area is to inadvertently place the operands on 
*	stack in the wrong order. 
*
*	Version:	2.0
*	Author:	Ken Anderson, Ken Fromm
*	History:
*			03-07-91		Added this comment.
*/

/* StartTime is stored in the interpreter and contains the initial real time */
#line 63 "./sym/DrawViewWraps.c"
void PSWMarkTime( void )
{
  typedef struct {
    unsigned char tokenType;
    unsigned char topLevelCount;
    unsigned short nBytes;

    DPSBinObjGeneric obj0;
    DPSBinObjGeneric obj1;
    DPSBinObjGeneric obj2;
    char obj3[9];
    } _dpsQ;
  static const _dpsQ _dpsF = {
    DPS_DEF_TOKENTYPE, 3, 37,
    {DPS_LITERAL|DPS_NAME, 0, 9, 24},	/* StartTime */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 328},	/* realtime */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {'S','t','a','r','t','T','i','m','e'},
    }; /* _dpsQ */
  register DPSContext _dpsCurCtxt = DPSPrivCurrentContext();
  char pad[3];
  DPSBinObjSeqWrite(_dpsCurCtxt,(char *) &_dpsF,37);
  if (0) *pad = 0;    /* quiets compiler warnings */
}
#line 56 "DrawViewWraps.psw"


/* The difference between the current real time and the initial time stored                */
/* in StartTime is returned to the calling procedure in the output arg ElapsedTime. */
#line 93 "./sym/DrawViewWraps.c"
void PSWReturnTime(int *ElapsedTime)
{
  typedef struct {
    unsigned char tokenType;
    unsigned char topLevelCount;
    unsigned short nBytes;

    DPSBinObjGeneric obj0;
    DPSBinObjGeneric obj1;
    DPSBinObjGeneric obj2;
    DPSBinObjGeneric obj3;
    DPSBinObjGeneric obj4;
    DPSBinObjGeneric obj5;
    DPSBinObjGeneric obj6;
    DPSBinObjGeneric obj7;
    DPSBinObjGeneric obj8;
    char obj9[9];
    } _dpsQ;
  static const _dpsQ _dpsF = {
    DPS_DEF_TOKENTYPE, 9, 85,
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 328},	/* realtime */
    {DPS_EXEC|DPS_NAME, 0, 9, 72},	/* StartTime */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 169},	/* sub */
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 119},	/* printobject */
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_LITERAL|DPS_INT, 0, 0, 1},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 119},	/* printobject */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 70},	/* flush */
    {'S','t','a','r','t','T','i','m','e'},
    }; /* _dpsQ */
  register DPSContext _dpsCurCtxt = DPSPrivCurrentContext();
  char pad[3];
  DPSResultsRec _dpsR[1];
  static const DPSResultsRec _dpsRstat[] = {
    { dps_tInt, -1 },
    };
    _dpsR[0] = _dpsRstat[0];
    _dpsR[0].value = (char *)ElapsedTime;

  DPSSetResultTable(_dpsCurCtxt, _dpsR, 1);
  DPSBinObjSeqWrite(_dpsCurCtxt,(char *) &_dpsF,85);
  DPSAwaitReturnValues(_dpsCurCtxt);
  if (0) *pad = 0;    /* quiets compiler warnings */
}
#line 63 "DrawViewWraps.psw"


/*
* This wrap is called in the +newFrame:(NXRect *) frm method to
* define and bind procedures in the interpreter.  These procedures
* are then called from within other wraps. Binding replaces each
* executable operator name with its value.  During execution of the
* procedures, the interpreter encounters the operators themselves
* instead of the names of the operators.  A procedure that has been
* bounded will execute faster than one that has not been bound. 
* Certain caveats pertain; see the red book for further information.
*/
#line 152 "./sym/DrawViewWraps.c"
void PSWDefs( void )
{
  typedef struct {
    unsigned char tokenType;
    unsigned char topLevelCount;
    unsigned short nBytes;

    DPSBinObjGeneric obj0;
    DPSBinObjGeneric obj1;
    DPSBinObjGeneric obj2;
    DPSBinObjGeneric obj3;
    DPSBinObjGeneric obj4;
    DPSBinObjGeneric obj5;
    DPSBinObjGeneric obj6;
    DPSBinObjGeneric obj7;
    DPSBinObjGeneric obj8;
    DPSBinObjGeneric obj9;
    DPSBinObjGeneric obj10;
    DPSBinObjGeneric obj11;
    DPSBinObjGeneric obj12;
    DPSBinObjGeneric obj13;
    DPSBinObjGeneric obj14;
    DPSBinObjGeneric obj15;
    DPSBinObjGeneric obj16;
    DPSBinObjGeneric obj17;
    DPSBinObjGeneric obj18;
    DPSBinObjGeneric obj19;
    DPSBinObjGeneric obj20;
    DPSBinObjGeneric obj21;
    DPSBinObjGeneric obj22;
    DPSBinObjGeneric obj23;
    DPSBinObjGeneric obj24;
    DPSBinObjGeneric obj25;
    DPSBinObjGeneric obj26;
    DPSBinObjGeneric obj27;
    DPSBinObjGeneric obj28;
    DPSBinObjGeneric obj29;
    DPSBinObjGeneric obj30;
    DPSBinObjGeneric obj31;
    DPSBinObjGeneric obj32;
    DPSBinObjGeneric obj33;
    DPSBinObjGeneric obj34;
    DPSBinObjGeneric obj35;
    DPSBinObjGeneric obj36;
    DPSBinObjGeneric obj37;
    DPSBinObjGeneric obj38;
    DPSBinObjGeneric obj39;
    DPSBinObjGeneric obj40;
    DPSBinObjGeneric obj41;
    DPSBinObjGeneric obj42;
    DPSBinObjGeneric obj43;
    DPSBinObjGeneric obj44;
    DPSBinObjGeneric obj45;
    DPSBinObjGeneric obj46;
    DPSBinObjGeneric obj47;
    DPSBinObjGeneric obj48;
    DPSBinObjGeneric obj49;
    DPSBinObjGeneric obj50;
    DPSBinObjGeneric obj51;
    DPSBinObjGeneric obj52;
    DPSBinObjGeneric obj53;
    DPSBinObjGeneric obj54;
    DPSBinObjGeneric obj55;
    DPSBinObjGeneric obj56;
    DPSBinObjGeneric obj57;
    DPSBinObjGeneric obj58;
    DPSBinObjGeneric obj59;
    DPSBinObjGeneric obj60;
    DPSBinObjGeneric obj61;
    DPSBinObjGeneric obj62;
    DPSBinObjGeneric obj63;
    DPSBinObjGeneric obj64;
    DPSBinObjGeneric obj65;
    DPSBinObjGeneric obj66;
    DPSBinObjGeneric obj67;
    DPSBinObjGeneric obj68;
    DPSBinObjGeneric obj69;
    DPSBinObjGeneric obj70;
    DPSBinObjGeneric obj71;
    DPSBinObjGeneric obj72;
    DPSBinObjGeneric obj73;
    DPSBinObjGeneric obj74;
    DPSBinObjGeneric obj75;
    char obj76[4];
    char obj77[4];
    char obj78[3];
    char obj79[3];
    char obj80[3];
    char obj81[3];
    char obj82[3];
    char obj83[3];
    char obj84[4];
    char obj85[3];
    char obj86[3];
    } _dpsQ;
  static const _dpsQ _dpsF = {
    DPS_DEF_TOKENTYPE, 20, 648,
    {DPS_LITERAL|DPS_NAME, 0, 3, 641},	/* EVB */
    {DPS_EXEC|DPS_ARRAY, 0, 7, 552},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 14},	/* bind */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 3, 638},	/* DLB */
    {DPS_EXEC|DPS_ARRAY, 0, 5, 512},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 14},	/* bind */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 4, 634},	/* DLRB */
    {DPS_EXEC|DPS_ARRAY, 0, 9, 200},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 14},	/* bind */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 3, 631},	/* MLB */
    {DPS_EXEC|DPS_ARRAY, 0, 2, 184},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 14},	/* bind */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 3, 628},	/* SLB */
    {DPS_EXEC|DPS_ARRAY, 0, 3, 160},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 14},	/* bind */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 155},	/* setlinewidth */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 150},	/* setgray */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 167},	/* stroke */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 107},	/* moveto */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 99},	/* lineto */
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_LITERAL|DPS_INT, 0, 0, 1},
    {DPS_LITERAL|DPS_INT, 0, 0, 3},
    {DPS_LITERAL|DPS_INT, 0, 0, -1},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 135},	/* roll */
    {DPS_LITERAL|DPS_INT, 0, 0, 1},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 169},	/* sub */
    {DPS_EXEC|DPS_ARRAY, 0, 30, 272},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 72},	/* for */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 56},	/* dup */
    {DPS_EXEC|DPS_NAME, 0, 3, 625},	/* PSW */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 62},	/* exch */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 75},	/* get */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 155},	/* setlinewidth */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 56},	/* dup */
    {DPS_EXEC|DPS_NAME, 0, 3, 622},	/* PSC */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 62},	/* exch */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 75},	/* get */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 150},	/* setgray */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 56},	/* dup */
    {DPS_EXEC|DPS_NAME, 0, 3, 619},	/* PSX */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 62},	/* exch */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 75},	/* get */
    {DPS_EXEC|DPS_NAME, 0, 3, 616},	/* PSY */
    {DPS_LITERAL|DPS_INT, 0, 0, 2},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 88},	/* index */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 75},	/* get */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 107},	/* moveto */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 56},	/* dup */
    {DPS_EXEC|DPS_NAME, 0, 4, 612},	/* PSX1 */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 62},	/* exch */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 75},	/* get */
    {DPS_EXEC|DPS_NAME, 0, 4, 608},	/* PSY1 */
    {DPS_LITERAL|DPS_INT, 0, 0, 2},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 88},	/* index */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 75},	/* get */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 99},	/* lineto */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 167},	/* stroke */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 117},	/* pop */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 155},	/* setlinewidth */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 150},	/* setgray */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 107},	/* moveto */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 99},	/* lineto */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 167},	/* stroke */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 150},	/* setgray */
    {DPS_LITERAL|DPS_INT, 0, 0, 2},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 88},	/* index */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 128},	/* rectfill */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 150},	/* setgray */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 155},	/* setlinewidth */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 129},	/* rectstroke */
    {'P','S','Y','1'},
    {'P','S','X','1'},
    {'P','S','Y'},
    {'P','S','X'},
    {'P','S','C'},
    {'P','S','W'},
    {'S','L','B'},
    {'M','L','B'},
    {'D','L','R','B'},
    {'D','L','B'},
    {'E','V','B'},
    }; /* _dpsQ */
  register DPSContext _dpsCurCtxt = DPSPrivCurrentContext();
  char pad[3];
  DPSBinObjSeqWrite(_dpsCurCtxt,(char *) &_dpsF,648);
  if (0) *pad = 0;    /* quiets compiler warnings */
}
#line 108 "DrawViewWraps.psw"


/***  Called by -drawWraps ***/
/* Calls the operators from the wrap itself. */
#line 348 "./sym/DrawViewWraps.c"
void PSWEraseView(float BGColor, float BGStrColor, float BGStrWidth, const float BGrect[])
{
  typedef struct {
    unsigned char tokenType;
    unsigned char topLevelCount;
    unsigned short nBytes;

    DPSBinObjReal obj0;
    DPSBinObjGeneric obj1;
    DPSBinObjGeneric obj2;
    DPSBinObjGeneric obj3;
    DPSBinObjReal obj4;
    DPSBinObjGeneric obj5;
    DPSBinObjReal obj6;
    DPSBinObjGeneric obj7;
    DPSBinObjGeneric obj8;
    DPSBinObjGeneric obj9;
    } _dpsQ;
  static const _dpsQ _dpsStat = {
    DPS_DEF_TOKENTYPE, 10, 148,
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: BGColor */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 150},	/* setgray */
    {DPS_LITERAL|DPS_ARRAY, 0, 4, 112},	/* param[const]: BGrect */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 128},	/* rectfill */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: BGStrColor */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 150},	/* setgray */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: BGStrWidth */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 155},	/* setlinewidth */
    {DPS_LITERAL|DPS_ARRAY, 0, 4, 80},	/* param[const]: BGrect */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 129},	/* rectstroke */
    }; /* _dpsQ */
  _dpsQ _dpsF;	/* local copy  */
  register DPSContext _dpsCurCtxt = DPSPrivCurrentContext();
  char pad[3];
  register DPSBinObjRec *_dpsP = (DPSBinObjRec *)&_dpsF.obj0;
  register int _dps_offset = 80;
  _dpsF = _dpsStat;	/* assign automatic variable */

  _dpsP[0].val.realVal = BGColor;
  _dpsP[4].val.realVal = BGStrColor;
  _dpsP[6].val.realVal = BGStrWidth;
  _dpsP[8].val.arrayVal = _dps_offset;
  _dps_offset += 4 * sizeof(DPSBinObjGeneric);
  _dpsP[2].val.arrayVal = _dps_offset;
  _dps_offset += 4 * sizeof(DPSBinObjGeneric);

  _dpsF.nBytes = _dps_offset+4;
  DPSBinObjSeqWrite(_dpsCurCtxt,(char *) &_dpsF,84);
  DPSWriteTypedObjectArray(_dpsCurCtxt, dps_tFloat, (char *)BGrect, 4);
  DPSWriteTypedObjectArray(_dpsCurCtxt, dps_tFloat, (char *)BGrect, 4);
  if (0) *pad = 0;    /* quiets compiler warnings */
}
#line 118 "DrawViewWraps.psw"


/* Calls the operators from the wrap itself. */
#line 405 "./sym/DrawViewWraps.c"
void PSWDrawLine(float LineWidth, float LineColor, float X, float Y, float X1, float Y1)
{
  typedef struct {
    unsigned char tokenType;
    unsigned char topLevelCount;
    unsigned short nBytes;

    DPSBinObjReal obj0;
    DPSBinObjGeneric obj1;
    DPSBinObjReal obj2;
    DPSBinObjGeneric obj3;
    DPSBinObjReal obj4;
    DPSBinObjReal obj5;
    DPSBinObjGeneric obj6;
    DPSBinObjReal obj7;
    DPSBinObjReal obj8;
    DPSBinObjGeneric obj9;
    DPSBinObjGeneric obj10;
    } _dpsQ;
  static const _dpsQ _dpsStat = {
    DPS_DEF_TOKENTYPE, 11, 92,
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: LineWidth */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 155},	/* setlinewidth */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: LineColor */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 150},	/* setgray */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: X */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: Y */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 107},	/* moveto */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: X1 */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: Y1 */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 99},	/* lineto */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 167},	/* stroke */
    }; /* _dpsQ */
  _dpsQ _dpsF;	/* local copy  */
  register DPSContext _dpsCurCtxt = DPSPrivCurrentContext();
  char pad[3];
  register DPSBinObjRec *_dpsP = (DPSBinObjRec *)&_dpsF.obj0;
  _dpsF = _dpsStat;	/* assign automatic variable */

  _dpsP[0].val.realVal = LineWidth;
  _dpsP[2].val.realVal = LineColor;
  _dpsP[4].val.realVal = X;
  _dpsP[5].val.realVal = Y;
  _dpsP[7].val.realVal = X1;
  _dpsP[8].val.realVal = Y1;
  DPSBinObjSeqWrite(_dpsCurCtxt,(char *) &_dpsF,92);
  if (0) *pad = 0;    /* quiets compiler warnings */
}
#line 127 "DrawViewWraps.psw"



/***  Called by -drawWrapsBind  ***/
/* Places the input args on the stack and calls the EraseViewBind procedure. */
#line 460 "./sym/DrawViewWraps.c"
void PSWEraseViewBind(float BGColor, float BGStrColor, float BGStrWidth, const float BGrect[])
{
  typedef struct {
    unsigned char tokenType;
    unsigned char topLevelCount;
    unsigned short nBytes;

    DPSBinObjGeneric obj0;
    DPSBinObjReal obj1;
    DPSBinObjReal obj2;
    DPSBinObjReal obj3;
    DPSBinObjGeneric obj4;
    } _dpsQ;

  typedef struct {
    char obj5[3];
    } _dpsQ1;
  static const _dpsQ _dpsStat = {
    DPS_DEF_TOKENTYPE, 5, 79,
    {DPS_LITERAL|DPS_ARRAY, 0, 4, 40},	/* param[const]: BGrect */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: BGStrWidth */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: BGStrColor */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: BGColor */
    {DPS_EXEC|DPS_NAME, 0, 3, 72},	/* EVB */
    }; /* _dpsQ */
  static const _dpsQ1 _dpsF1 = {
    {'E','V','B'},
    }; /* _dpsQ1 */
  _dpsQ _dpsF;	/* local copy  */
  register DPSContext _dpsCurCtxt = DPSPrivCurrentContext();
  char pad[3];
  register DPSBinObjRec *_dpsP = (DPSBinObjRec *)&_dpsF.obj0;
  register int _dps_offset = 40;
  _dpsF = _dpsStat;	/* assign automatic variable */

  _dpsP[3].val.realVal = BGColor;
  _dpsP[2].val.realVal = BGStrColor;
  _dpsP[1].val.realVal = BGStrWidth;
  _dpsP[0].val.arrayVal = _dps_offset;
  _dps_offset += 4 * sizeof(DPSBinObjGeneric);
  _dpsP[4].val.stringVal = _dps_offset;
  _dps_offset += 3;

  _dpsF.nBytes = _dps_offset+4;
  DPSBinObjSeqWrite(_dpsCurCtxt,(char *) &_dpsF,44);
  DPSWriteTypedObjectArray(_dpsCurCtxt, dps_tFloat, (char *)BGrect, 4);
  DPSWriteStringChars(_dpsCurCtxt,(char *) &_dpsF1,3);
  if (0) *pad = 0;    /* quiets compiler warnings */
}
#line 134 "DrawViewWraps.psw"


/* Places the input args on the stack and calls the DrawLineBind procedure. */
#line 514 "./sym/DrawViewWraps.c"
void PSWDrawLineBind(float LineWidth, float LineColor, float X, float Y, float X1, float Y1)
{
  typedef struct {
    unsigned char tokenType;
    unsigned char topLevelCount;
    unsigned short nBytes;

    DPSBinObjReal obj0;
    DPSBinObjReal obj1;
    DPSBinObjReal obj2;
    DPSBinObjReal obj3;
    DPSBinObjReal obj4;
    DPSBinObjReal obj5;
    DPSBinObjGeneric obj6;
    char obj7[3];
    } _dpsQ;
  static const _dpsQ _dpsStat = {
    DPS_DEF_TOKENTYPE, 7, 63,
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: X1 */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: Y1 */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: X */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: Y */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: LineColor */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: LineWidth */
    {DPS_EXEC|DPS_NAME, 0, 3, 56},	/* DLB */
    {'D','L','B'},
    }; /* _dpsQ */
  _dpsQ _dpsF;	/* local copy  */
  register DPSContext _dpsCurCtxt = DPSPrivCurrentContext();
  char pad[3];
  register DPSBinObjRec *_dpsP = (DPSBinObjRec *)&_dpsF.obj0;
  _dpsF = _dpsStat;	/* assign automatic variable */

  _dpsP[5].val.realVal = LineWidth;
  _dpsP[4].val.realVal = LineColor;
  _dpsP[2].val.realVal = X;
  _dpsP[3].val.realVal = Y;
  _dpsP[0].val.realVal = X1;
  _dpsP[1].val.realVal = Y1;
  DPSBinObjSeqWrite(_dpsCurCtxt,(char *) &_dpsF,63);
  if (0) *pad = 0;    /* quiets compiler warnings */
}
#line 139 "DrawViewWraps.psw"



/***  Called by -drawWrapsRepeat  ***/
/* Defines input args, places the number of repetitions on the stack and then */
/* calls the DrawLineRepeatBind procedure. */
#line 564 "./sym/DrawViewWraps.c"
void PSWDrawLineRepeatBind(const float W[], const float C[], const float X[], const float Y[], const float X1[], const float Y1[], int i)
{
  typedef struct {
    unsigned char tokenType;
    unsigned char topLevelCount;
    unsigned short nBytes;

    DPSBinObjGeneric obj0;
    DPSBinObjGeneric obj1;
    DPSBinObjGeneric obj2;
    DPSBinObjGeneric obj3;
    DPSBinObjGeneric obj4;
    DPSBinObjGeneric obj5;
    DPSBinObjGeneric obj6;
    DPSBinObjGeneric obj7;
    DPSBinObjGeneric obj8;
    DPSBinObjGeneric obj9;
    DPSBinObjGeneric obj10;
    DPSBinObjGeneric obj11;
    DPSBinObjGeneric obj12;
    DPSBinObjGeneric obj13;
    DPSBinObjGeneric obj14;
    DPSBinObjGeneric obj15;
    DPSBinObjGeneric obj16;
    DPSBinObjGeneric obj17;
    DPSBinObjGeneric obj18;
    DPSBinObjGeneric obj19;
    } _dpsQ;

  typedef struct {
    char obj20[4];
    char obj21[4];
    char obj22[4];
    char obj23[3];
    char obj24[3];
    char obj25[3];
    char obj26[3];
    } _dpsQ1;
  static const _dpsQ _dpsStat = {
    DPS_DEF_TOKENTYPE, 20, 188,
    {DPS_LITERAL|DPS_NAME, 0, 3, 181},	/* PSW */
    {DPS_LITERAL|DPS_ARRAY, 0, 0, 160},	/* param[var]: W */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 3, 178},	/* PSC */
    {DPS_LITERAL|DPS_ARRAY, 0, 0, 160},	/* param[var]: C */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 3, 175},	/* PSX */
    {DPS_LITERAL|DPS_ARRAY, 0, 0, 160},	/* param[var]: X */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 3, 172},	/* PSY */
    {DPS_LITERAL|DPS_ARRAY, 0, 0, 160},	/* param[var]: Y */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 4, 168},	/* PSX1 */
    {DPS_LITERAL|DPS_ARRAY, 0, 0, 160},	/* param[var]: X1 */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 4, 164},	/* PSY1 */
    {DPS_LITERAL|DPS_ARRAY, 0, 0, 160},	/* param[var]: Y1 */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_INT, 0, 0, 0},	/* param: i */
    {DPS_EXEC|DPS_NAME, 0, 4, 160},	/* DLRB */
    }; /* _dpsQ */
  static const _dpsQ1 _dpsF1 = {
    {'D','L','R','B'},
    {'P','S','Y','1'},
    {'P','S','X','1'},
    {'P','S','Y'},
    {'P','S','X'},
    {'P','S','C'},
    {'P','S','W'},
    }; /* _dpsQ1 */
  _dpsQ _dpsF;	/* local copy  */
  register DPSContext _dpsCurCtxt = DPSPrivCurrentContext();
  char pad[3];
  register DPSBinObjRec *_dpsP = (DPSBinObjRec *)&_dpsF.obj0;
  register int _dps_offset = 160;
  _dpsF = _dpsStat;	/* assign automatic variable */

  _dpsP[1].length = i;
  _dpsP[4].length = i;
  _dpsP[7].length = i;
  _dpsP[10].length = i;
  _dpsP[13].length = i;
  _dpsP[16].length = i;
  _dpsP[18].val.integerVal = i;
  _dpsP[16].val.arrayVal = _dps_offset;
  _dps_offset += i * sizeof(DPSBinObjGeneric);
  _dpsP[13].val.arrayVal = _dps_offset;
  _dps_offset += i * sizeof(DPSBinObjGeneric);
  _dpsP[10].val.arrayVal = _dps_offset;
  _dps_offset += i * sizeof(DPSBinObjGeneric);
  _dpsP[7].val.arrayVal = _dps_offset;
  _dps_offset += i * sizeof(DPSBinObjGeneric);
  _dpsP[4].val.arrayVal = _dps_offset;
  _dps_offset += i * sizeof(DPSBinObjGeneric);
  _dpsP[1].val.arrayVal = _dps_offset;
  _dps_offset += i * sizeof(DPSBinObjGeneric);
  _dpsP[19].val.stringVal = _dps_offset;
  _dpsP[15].val.stringVal = _dps_offset + 4;
  _dpsP[12].val.stringVal = _dps_offset + 8;
  _dpsP[9].val.stringVal = _dps_offset + 12;
  _dpsP[6].val.stringVal = _dps_offset + 15;
  _dpsP[3].val.stringVal = _dps_offset + 18;
  _dpsP[0].val.stringVal = _dps_offset + 21;
  _dps_offset += 24;

  _dpsF.nBytes = _dps_offset+4;
  DPSBinObjSeqWrite(_dpsCurCtxt,(char *) &_dpsF,164);
  DPSWriteTypedObjectArray(_dpsCurCtxt, dps_tFloat, (char *)Y1, i);
  DPSWriteTypedObjectArray(_dpsCurCtxt, dps_tFloat, (char *)X1, i);
  DPSWriteTypedObjectArray(_dpsCurCtxt, dps_tFloat, (char *)Y, i);
  DPSWriteTypedObjectArray(_dpsCurCtxt, dps_tFloat, (char *)X, i);
  DPSWriteTypedObjectArray(_dpsCurCtxt, dps_tFloat, (char *)C, i);
  DPSWriteTypedObjectArray(_dpsCurCtxt, dps_tFloat, (char *)W, i);
  DPSWriteStringChars(_dpsCurCtxt,(char *) &_dpsF1,24);
  if (0) *pad = 0;    /* quiets compiler warnings */
}
#line 151 "DrawViewWraps.psw"



/***  Called by -drawOptimizedStroke  ***/
/* Places the input args on the stack and calls the MakeLineBind procedure. */
#line 687 "./sym/DrawViewWraps.c"
void PSWMakeLineBind(float X, float Y, float X1, float Y1)
{
  typedef struct {
    unsigned char tokenType;
    unsigned char topLevelCount;
    unsigned short nBytes;

    DPSBinObjReal obj0;
    DPSBinObjReal obj1;
    DPSBinObjReal obj2;
    DPSBinObjReal obj3;
    DPSBinObjGeneric obj4;
    char obj5[3];
    } _dpsQ;
  static const _dpsQ _dpsStat = {
    DPS_DEF_TOKENTYPE, 5, 47,
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: X1 */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: Y1 */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: X */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: Y */
    {DPS_EXEC|DPS_NAME, 0, 3, 40},	/* MLB */
    {'M','L','B'},
    }; /* _dpsQ */
  _dpsQ _dpsF;	/* local copy  */
  register DPSContext _dpsCurCtxt = DPSPrivCurrentContext();
  char pad[3];
  register DPSBinObjRec *_dpsP = (DPSBinObjRec *)&_dpsF.obj0;
  _dpsF = _dpsStat;	/* assign automatic variable */

  _dpsP[2].val.realVal = X;
  _dpsP[3].val.realVal = Y;
  _dpsP[0].val.realVal = X1;
  _dpsP[1].val.realVal = Y1;
  DPSBinObjSeqWrite(_dpsCurCtxt,(char *) &_dpsF,47);
  if (0) *pad = 0;    /* quiets compiler warnings */
}
#line 158 "DrawViewWraps.psw"


/* Places the input args on the stack and calls the StrokeLineBind procedure. */
#line 728 "./sym/DrawViewWraps.c"
void PSWStrokeLineBind(float LineWidth, float LineColor)
{
  typedef struct {
    unsigned char tokenType;
    unsigned char topLevelCount;
    unsigned short nBytes;

    DPSBinObjReal obj0;
    DPSBinObjReal obj1;
    DPSBinObjGeneric obj2;
    char obj3[3];
    } _dpsQ;
  static const _dpsQ _dpsStat = {
    DPS_DEF_TOKENTYPE, 3, 31,
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: LineColor */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: LineWidth */
    {DPS_EXEC|DPS_NAME, 0, 3, 24},	/* SLB */
    {'S','L','B'},
    }; /* _dpsQ */
  _dpsQ _dpsF;	/* local copy  */
  register DPSContext _dpsCurCtxt = DPSPrivCurrentContext();
  char pad[3];
  register DPSBinObjRec *_dpsP = (DPSBinObjRec *)&_dpsF.obj0;
  _dpsF = _dpsStat;	/* assign automatic variable */

  _dpsP[1].val.realVal = LineWidth;
  _dpsP[0].val.realVal = LineColor;
  DPSBinObjSeqWrite(_dpsCurCtxt,(char *) &_dpsF,31);
  if (0) *pad = 0;    /* quiets compiler warnings */
}
#line 163 "DrawViewWraps.psw"


